
x = [1 2 2 1 1];                % Define samples of x
h = [3 2 1];                    % Define samples of h
y = conv(x,h);                  % Convolve x and h

% Format for plot.

nz = 2;                         % Extra zeros on y
ly = length(y)+nz;              % Length of y
xz = [x,zeros(1,ly-length(x))]; % Zero pad x
hz = [h,zeros(1,ly-length(h))]; % Zero pad h
yz = [y,zeros(1,nz)];           % Zero pad y
nn = 0:ly-1;                    % Establish x-axis indices

% Now plot the results.

subplot(2,2,1)                  % Top left plot
stem(nn,xz)                     % Plot x as discrete sequence
xlabel('Samplex Index - n')     % Label x axis
ylabel('x(nT)')                 % Label y axis
subplot(2,2,2)                  % Top right plot
stem(nn,hz)                     % Plot h as discrete sequence
xlabel('Sample Index - n')      % Label x axis
ylabel('h(nT)')                 % Label y axis
subplot(2,2,3)                  % Bottom left plot
stem(nn,yz)                     % Plot y as discrete sequence
xlabel('Sample Index - n')      % Label x axis
ylabel('y(nT)')                 % Label y axis
