f = [0 0.2 0.22 0.5 0.52 1];            % Specify f vector       
m = [1 1 0.4 0.4 0 0];                  % Specify amplitude response
n = 10;                                 % Specify order
[b,a] = yulewalk(n,f,m);                % Compute transfer function
[h,w] = freqz(b,a,512);                 % Determine filter response
subplot(2,1,1)                          % Designate first subplot
plot(f/2,m,w/(2*pi),abs(h),'--')   % Plot amplitude response
xlabel('Normalized Frequency - r')      % Label x-axis
ylabel('Amplitude')                     % Label y-axis
phase = angle(h);                       % Calculate phase
phase = unwrap(phase);                  % Unwrap phase
phasedeg = phase*180/pi;                % Express phase in degrees
subplot(2,1,2)                          % Designate second subplot
plot(w/(2*pi),phasedeg,'--')           % Plot phase response
xlabel('Normalized Frequency - r')      % Label x-axis
ylabel('Phase - degrees')               % Label y-axis
