%	Spectrum of a trapezoidal pulse - Example 4-11
%
t_max = 2;
f_max = 2;
f = -f_max:.001:f_max;
t = -t_max:.001:t_max;
A = 1;
b = 1.5;							% Total width stays constant at 1.5
for k = 1:4
k_odd = 2*k-1;
k_even = 2*k;
a = .5*(k - 1);				% Run four cases from triangle to rectangle
if a ~= 0 & a ~= b			% Account for special cases
	B = A*b/(b-a);
	x = B*trngl_fn(t/b) - (B-A)*trngl_fn(t/a);
	K = A/(b-a);
   X = K*(b^2*(sinc(b*f)).^2 - a^2*(sinc(a*f)).^2);
elseif a == 0					% Special case of triangle signal
   x = A*trngl_fn(t/b);
   X = A*b*(sinc(b*f)).^2;
elseif a == b					% Special case of rectangular signal
   x = A*pls_fn(t/(2*a));
   X = 2*A*a*sinc(2*a*f);
end
subplot(4,2,k_even),plot(f, X), axis([-f_max f_max -.8 3.5]),...
	xlabel('f'), ylabel('X(f)')
subplot(4,2,k_odd),plot(t, x), axis([-t_max t_max 0 2]),...
	text(-1.9, 1.6, ['a = ', num2str(a)]), xlabel('t'), ylabel('x(t)')
end
