a = [0 1; -2 -3];               % Define a matrix
b = [2 1; 0 1];                 % Define b matrix
c = [1 0; 1 1];                 % Define c matrix
%Ts = 0.01;                      % Define sampling period
nf = (5/Ts)+1;                       % Define number of samples
x = zeros(2,nf);                % Initialize x matrix
x(:,1) = [0; 0];                % Establish initial conditions
t = (0:nf-1)*Ts;                % Define sampling point vector
u(1,:) = ones(1,nf);            % Define first input signal
u(2,:) = exp(-3*t);             % Define second input signal
[ad,bd] = c2d(a,b,Ts);          % Compute discrete equivalent
% The next three lines perform the simulation
for n=1:nf-1
        x(:,n+1) = ad*x(:,n)+bd*u(:,n);
end
y = c*x;                        % Compute system output
y1 = y(1,:);                    % Determine y1(t)
y2 = y(2,:);                    % Determine y2(t)
t = (0:nf-1)*Ts;                % Establish time vector
tf = (nf-1)*Ts;                 % Establish 'finish' time
subplot(2,1,1)                  % Generate first subplot
plot(t,y1)                      % Plot y1(t)
axis([0 tf 0 4]);               % Generate axis parameters
xlabel('Time - seconds')        % Generate x-label
ylabel('y1(t)')                 % Generate second label
subplot(2,1,2)                  % Generate second subplot
plot(t,y2)                      % Plot y2(t)
axis([0 tf 0 1.5]);             % Set axis parameters
xlabel('Time - seconds')        % Generate x-label
ylabel('y2(t)')                 % Generate y-label

